GET /geocode-address

neutrinoapi.net

Summary: Geocode Address
Operation ID: GeocodeAddress
Auth: unknown
Description

Geocode an address, partial address or just the name of a place

Parameters (10)

address (string, query, optional)

The full address, partial address or name of a place to try and locate. Comma separated address components are preferred.

city (string, query, optional)

The city/town name to locate

country-code (string, query, optional)

Limit result to this country (the default is no country bias)

county (string, query, optional)

The county/region name to locate

fuzzy-search (boolean, query, optional, default: False)

If no matches are found for the given address, start performing a recursive fuzzy search until a geolocation is found. This option is recommended for processing user input or implementing auto-complete. We use a combination of approximate string matching and data cleansing to find possible location matches

house-number (string, query, optional)

The house/building number to locate

language-code (string, query, optional, default: en)

The language to display results in, available languages are: <ul> <li>de, en, es, fr, it, pt, ru, zh</li> </ul>

postal-code (string, query, optional)

The postal code to locate

state (string, query, optional)

The state name to locate

street (string, query, optional)

The street/road name to locate

No probe data for this endpoint yet.